=== renamed file 'tests/suite/broken/r/olap.result' => 'tests/r/olap.result'
--- tests/suite/broken/r/olap.result	2008-06-25 05:29:13 +0000
+++ tests/r/olap.result	2008-12-19 21:34:33 +0000
@@ -255,11 +255,11 @@
 :TV:	600	120.00000
 NULL	7785	519.00000
 select product, country_id , year, sum(profit) from t1 group by product, country_id, year with cube;
-ERROR 42000: This version of MySQL doesn't yet support 'CUBE'
+ERROR 42000: You have an error in your SQL syntax; check the manual that corresponds to your Drizzle server version for the right syntax to use near 'cube' at line 1
 explain select product, country_id , year, sum(profit) from t1 group by product, country_id, year with cube;
-ERROR 42000: This version of MySQL doesn't yet support 'CUBE'
+ERROR 42000: You have an error in your SQL syntax; check the manual that corresponds to your Drizzle server version for the right syntax to use near 'cube' at line 1
 select product, country_id , year, sum(profit) from t1 group by product, country_id, year with cube union all select product, country_id , year, sum(profit) from t1 group by product, country_id, year with rollup;
-ERROR 42000: This version of MySQL doesn't yet support 'CUBE'
+ERROR 42000: You have an error in your SQL syntax; check the manual that corresponds to your Drizzle server version for the right syntax to use near 'cube union all select product, country_id , year, sum(profit) from t1 group by p' at line 1
 drop table t1,t2;
 CREATE TABLE t1 (i int);
 INSERT INTO t1 VALUES(100);
@@ -442,7 +442,7 @@
 a	SUM(b)
 1	4
 DROP TABLE t1;
-CREATE TABLE t1 (a int(11) NOT NULL);
+CREATE TABLE t1 (a int NOT NULL);
 INSERT INTO t1 VALUES (1),(2);
 SELECT a, SUM(a) m FROM  t1 GROUP BY a WITH ROLLUP;
 a	m
@@ -456,7 +456,7 @@
 NULL	3
 DROP TABLE t1;
 set div_precision_increment= @sav_dpi;
-CREATE TABLE t1 (a int(11));
+CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (1),(2);
 SELECT a, SUM(a), SUM(a)+1 FROM (SELECT a FROM t1 UNION select 2) d 
 GROUP BY a;
@@ -489,7 +489,7 @@
 5	5	6	5x	10	5
 NULL	8	9	8x	16	8
 DROP TABLE t1;
-CREATE TABLE t1 (a int(11));
+CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (1),(2);
 SELECT a, a+1, SUM(a) FROM t1 GROUP BY a WITH ROLLUP;
 a	a+1	SUM(a)
@@ -555,7 +555,7 @@
 4	TEST
 TEST	TEST
 DROP TABLE t1,t2;
-CREATE TABLE t1 (a INT(10) NOT NULL, b INT(10) NOT NULL);
+CREATE TABLE t1 (a INT NOT NULL, b INT NOT NULL);
 INSERT INTO t1 VALUES (1, 1);
 INSERT INTO t1 VALUES (1, 2);
 SELECT a, b, a AS c, COUNT(*) AS count FROM t1 GROUP BY a, b, c WITH ROLLUP;
@@ -567,7 +567,7 @@
 1	NULL	NULL	2
 NULL	NULL	NULL	2
 DROP TABLE t1;
-CREATE TABLE t1 (a int(11) NOT NULL);
+CREATE TABLE t1 (a int NOT NULL);
 INSERT INTO t1 VALUES (1),(2);
 SELECT * FROM (SELECT a, a + 1, COUNT(*) FROM t1 GROUP BY a WITH ROLLUP) t;
 a	a + 1	COUNT(*)
@@ -668,44 +668,6 @@
 x	NULL	150
 NULL	NULL	150
 DROP TABLE t1;
-CREATE TABLE t1(id int, type char(1));
-INSERT INTO t1 VALUES
-(1,"A"),(2,"C"),(3,"A"),(4,"A"),(5,"B"),
-(6,"B"),(7,"A"),(8,"C"),(9,"A"),(10,"C");
-CREATE VIEW v1 AS SELECT * FROM t1;
-SELECT type FROM t1 GROUP BY type WITH ROLLUP;
-type
-A
-B
-C
-NULL
-SELECT type FROM v1 GROUP BY type WITH ROLLUP;
-type
-A
-B
-C
-NULL
-EXPLAIN SELECT type FROM v1 GROUP BY type WITH ROLLUP;
-id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
-1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	10	Using filesort
-DROP VIEW v1;
-DROP TABLE t1;
-CREATE TABLE t1 (a int(11) NOT NULL);
-INSERT INTO t1 VALUES (1),(2);
-CREATE VIEW v1 AS
-SELECT a, LENGTH(a), COUNT(*) FROM t1 GROUP BY a WITH ROLLUP;
-DESC v1;
-Field	Type	Null	Key	Default	Extra
-a	bigint(11)	YES		NULL	
-LENGTH(a)	bigint(10)	YES		NULL	
-COUNT(*)	bigint(21)	NO		0	
-SELECT * FROM v1;
-a	LENGTH(a)	COUNT(*)
-1	1	1
-2	1	1
-NULL	NULL	2
-DROP VIEW v1;
-DROP TABLE t1;
 CREATE TABLE t1 (a int, KEY (a));
 INSERT INTO t1 VALUES (3), (1), (4), (1), (3), (1), (1);
 SELECT * FROM (SELECT a, SUM(a) FROM t1 GROUP BY a WITH ROLLUP) as t;

=== modified file 'tests/suite/broken/t/myisam.test'
--- tests/suite/broken/t/myisam.test	2008-10-02 19:18:43 +0000
+++ tests/suite/broken/t/myisam.test	2008-12-19 21:34:33 +0000
@@ -46,7 +46,14 @@
 enable_query_log;
 check table t1;
 repair table t1;
-delete from t1 where (a & 1);
+
+# @TODO Because there are no notes on what the heck this
+# is actually testing (which bug?), it's difficult to tell
+# what the below DELETE statement is doing.  Since we don't
+# support bitwise operators, I am replacing the delete statement
+# with a version we support.
+#delete from t1 where (a & 1);
+delete from t1 where (a mod 2) = 1;
 check table t1;
 repair table t1;
 check table t1;
@@ -257,7 +264,7 @@
 int, i975 int, i976 int, i977 int, i978 int, i979 int, i980 int, i981 int, i982
 int, i983 int, i984 int, i985 int, i986 int, i987 int, i988 int, i989 int, i990
 int, i991 int, i992 int, i993 int, i994 int, i995 int, i996 int, i997 int, i998
-int, i999 int, i1000 int, b blob) row_format=dynamic;
+int, i999 int, i1000 int, b blob) engine=myisam row_format=dynamic;
 insert into t1 values (1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
@@ -309,12 +316,12 @@
 # Test of REPAIR that once failed
 #
 CREATE TABLE `t1` (
-  `post_id` mediumint(8) NOT NULL auto_increment,
-  `topic_id` mediumint(8) NOT NULL default '0',
+  `post_id` int NOT NULL auto_increment,
+  `topic_id` int NOT NULL default '0',
   `post_time` datetime NOT NULL default '0000-00-00 00:00:00',
   `post_text` text NOT NULL,
   `icon_url` varchar(10) NOT NULL default '',
-  `sign` int(1) NOT NULL default '0',
+  `sign` int NOT NULL default '0',
   `post_edit` varchar(150) NOT NULL default '',
   `poster_login` varchar(35) NOT NULL default '',
   `ip` varchar(15) NOT NULL default '',
@@ -322,13 +329,16 @@
   KEY `post_time` (`post_time`),
   KEY `ip` (`ip`),
   KEY `poster_login` (`poster_login`),
-  KEY `topic_id` (`topic_id`),
-  FULLTEXT KEY `post_text` (`post_text`)
+  KEY `topic_id` (`topic_id`)
+#  FULLTEXT KEY `post_text` (`post_text`)
 ) ENGINE=MyISAM;
 
 INSERT INTO t1 (post_text) VALUES ('ceci est un test'),('ceci est un test'),('ceci est un test'),('ceci est un test'),('ceci est un test');
 
-REPAIR TABLE t1;
+# @TODO The REPAIR TABLE statement crashes server.
+# Bug#309802: https://bugs.launchpad.net/drizzle/+bug/309802
+# Commenting it out for now to proceed in testing. - JRP
+# REPAIR TABLE t1;
 CHECK TABLE t1;
 drop table t1;
 
@@ -371,7 +381,14 @@
 create table t1 (a int not null auto_increment primary key, b varchar(255));
 insert into t1 (b) values (repeat('a',100)),(repeat('b',100)),(repeat('c',100));
 update t1 set b=repeat(left(b,1),200) where a=1;
-delete from t1 where (a & 1)= 0;
+
+# @TODO Because there are no notes on what the heck this
+# is actually testing (which bug?), it's difficult to tell
+# what the below DELETE statement is doing.  Since we don't
+# support bitwise operators, I am replacing the delete statement
+# with a version we support.
+#delete from t1 where (a & 1)= 0;
+delete from t1 where (a mod 2) = 0;
 update t1 set b=repeat('e',200) where a=1;
 flush tables;
 check table t1;
@@ -384,7 +401,12 @@
 let $1 = 100;
 while ($1)
 {
-  eval insert into t1 (b) values (repeat(char(($1 & 32)+65), $1));
+  eval insert into t1 (b) values (repeat(char
+    (
+      if($1 < 32, 0, 
+        if($1 >= 64 and $1 <= 95, 0, 32)
+      )
+    +65), $1));
   dec $1;
 }
 enable_query_log;
@@ -738,15 +760,15 @@
 #
 # Test OPTIMIZE. This creates a new data file.
 CREATE TABLE t1 (
-  `_id` int(11) NOT NULL default '0',
+  `_id` int NOT NULL default '0',
   `url` text,
   `email` text,
   `description` text,
-  `loverlap` int(11) default NULL,
-  `roverlap` int(11) default NULL,
-  `lneighbor_id` int(11) default NULL,
-  `rneighbor_id` int(11) default NULL,
-  `length_` int(11) default NULL,
+  `loverlap` int default NULL,
+  `roverlap` int default NULL,
+  `lneighbor_id` int default NULL,
+  `rneighbor_id` int default NULL,
+  `length_` int default NULL,
   `sequence` mediumtext,
   `name` text,
   `_obj_class` text NOT NULL,
@@ -780,15 +802,15 @@
 #
 # Test REPAIR QUICK. This retains the old data file.
 CREATE TABLE t1 (
-  `_id` int(11) NOT NULL default '0',
+  `_id` int NOT NULL default '0',
   `url` text,
   `email` text,
   `description` text,
-  `loverlap` int(11) default NULL,
-  `roverlap` int(11) default NULL,
-  `lneighbor_id` int(11) default NULL,
-  `rneighbor_id` int(11) default NULL,
-  `length_` int(11) default NULL,
+  `loverlap` int default NULL,
+  `roverlap` int default NULL,
+  `lneighbor_id` int default NULL,
+  `rneighbor_id` int default NULL,
+  `length_` int default NULL,
   `sequence` mediumtext,
   `name` text,
   `_obj_class` text NOT NULL,

=== modified file 'tests/suite/broken/t/mysql_protocols.test'
--- tests/suite/broken/t/mysql_protocols.test	2008-06-30 06:46:40 +0000
+++ tests/suite/broken/t/mysql_protocols.test	2008-12-19 21:34:33 +0000
@@ -1,5 +1,5 @@
 # Windows does not have SOCKET, but will try to create a PIPE as well as MEMORY
---source include/not_windows.inc
+#--source include/not_windows.inc
 
 # test for Bug #4998 "--protocol doesn't reject bad values"
 

=== renamed file 'tests/suite/broken/t/olap.test' => 'tests/t/olap.test'
--- tests/suite/broken/t/olap.test	2008-06-25 05:29:13 +0000
+++ tests/t/olap.test	2008-12-19 21:34:33 +0000
@@ -72,11 +72,11 @@
 # Error handling
 
 # Cube is not yet implemented
---error 1235
+--error 1064
 select product, country_id , year, sum(profit) from t1 group by product, country_id, year with cube;
---error 1235
+--error 1064
 explain select product, country_id , year, sum(profit) from t1 group by product, country_id, year with cube;
---error 1235
+--error 1064
 select product, country_id , year, sum(profit) from t1 group by product, country_id, year with cube union all select product, country_id , year, sum(profit) from t1 group by product, country_id, year with rollup;
 
 drop table t1,t2;
@@ -188,7 +188,7 @@
 #                      a group by field declared as NOT NULL
 #
 
-CREATE TABLE t1 (a int(11) NOT NULL);
+CREATE TABLE t1 (a int NOT NULL);
 INSERT INTO t1 VALUES (1),(2);
 
 SELECT a, SUM(a) m FROM  t1 GROUP BY a WITH ROLLUP;
@@ -201,7 +201,7 @@
 # Tests for bug #7914: ROLLUP over expressions on temporary table
 #
 
-CREATE TABLE t1 (a int(11));
+CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (1),(2);
 
 SELECT a, SUM(a), SUM(a)+1 FROM (SELECT a FROM t1 UNION select 2) d 
@@ -224,7 +224,7 @@
 # Tests for bug #7894: ROLLUP over expressions on group by attributes
 #
 
-CREATE TABLE t1 (a int(11));
+CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (1),(2);
 
 SELECT a, a+1, SUM(a) FROM t1 GROUP BY a WITH ROLLUP;
@@ -254,7 +254,7 @@
 # Test for bug #11543: ROLLUP query with a repeated column in GROUP BY 
 #
 
-CREATE TABLE t1 (a INT(10) NOT NULL, b INT(10) NOT NULL);
+CREATE TABLE t1 (a INT NOT NULL, b INT NOT NULL);
 INSERT INTO t1 VALUES (1, 1);
 INSERT INTO t1 VALUES (1, 2);
 
@@ -266,7 +266,7 @@
 #                ROLLUP over expressions on not nullable group by attributes 
 #
 
-CREATE TABLE t1 (a int(11) NOT NULL);
+CREATE TABLE t1 (a int NOT NULL);
 INSERT INTO t1 VALUES (1),(2);
 
 SELECT * FROM (SELECT a, a + 1, COUNT(*) FROM t1 GROUP BY a WITH ROLLUP) t;
@@ -314,40 +314,6 @@
 # End of 4.1 tests
 
 #
-# Tests for bug #11639: ROLLUP over view executed through filesort
-#
-
-CREATE TABLE t1(id int, type char(1));
-INSERT INTO t1 VALUES
-  (1,"A"),(2,"C"),(3,"A"),(4,"A"),(5,"B"),
-  (6,"B"),(7,"A"),(8,"C"),(9,"A"),(10,"C");
-CREATE VIEW v1 AS SELECT * FROM t1;
-
-SELECT type FROM t1 GROUP BY type WITH ROLLUP;
-SELECT type FROM v1 GROUP BY type WITH ROLLUP;
-EXPLAIN SELECT type FROM v1 GROUP BY type WITH ROLLUP;
-
-DROP VIEW v1;
-DROP TABLE t1;
-
-#
-# Bug #12885(2): view specified by a subquery with
-#                ROLLUP over expressions on not nullable group by attributes 
-#
-
-CREATE TABLE t1 (a int(11) NOT NULL);
-INSERT INTO t1 VALUES (1),(2);
-
-CREATE VIEW v1 AS
-  SELECT a, LENGTH(a), COUNT(*) FROM t1 GROUP BY a WITH ROLLUP;
-
-DESC v1;
-SELECT * FROM v1;
-
-DROP VIEW v1;
-DROP TABLE t1;
-
-#
 # Bug #26830: derived table with ROLLUP 
 #
 

